Package org.eclipse.ecf.provider.zookeeper.util

## Class PrettyPrinter

- java.lang.Object
- - org.eclipse.ecf.provider.zookeeper.util.PrettyPrinter

    public class PrettyPrinter
    extends Object

### Field Summary

Fields
`static int` `ACTIVATED`
`static int` `DEACTIVATED`
`static int` `PUBLISH_DELAYED`
`static int` `PUBLISHED`
`static int` `REMOTE_AVAILABLE`
`static int` `REMOTE_UNAVAILABLE`
`static int` `UNPUBLISH_DELAYED`
`static int` `UNPUBLISHED`

### Constructor Summary

Constructors
`PrettyPrinter()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `attemptingConnectionTo​(String ip)`
`static String` `connectionLost​(String ip)`
`static String` `prompt​(int type, IServiceInfo serviceInfo)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PUBLISHED

    public static final int PUBLISHED

See Also:
  Constant Field Values

#### UNPUBLISHED

    public static final int UNPUBLISHED

See Also:
  Constant Field Values

#### ACTIVATED

    public static final int ACTIVATED

See Also:
  Constant Field Values

#### DEACTIVATED

    public static final int DEACTIVATED

See Also:
  Constant Field Values

#### REMOTE_AVAILABLE

    public static final int REMOTE_AVAILABLE

See Also:
  Constant Field Values

#### REMOTE_UNAVAILABLE

    public static final int REMOTE_UNAVAILABLE

See Also:
  Constant Field Values

#### PUBLISH_DELAYED

    public static final int PUBLISH_DELAYED

See Also:
  Constant Field Values

#### UNPUBLISH_DELAYED

    public static final int UNPUBLISH_DELAYED

See Also:
  Constant Field Values

### Constructor Detail

#### PrettyPrinter

    public PrettyPrinter()

### Method Detail

#### prompt

    public static String prompt​(int type,
                                IServiceInfo serviceInfo)

#### attemptingConnectionTo

    public static String attemptingConnectionTo​(String ip)

#### connectionLost

    public static String connectionLost​(String ip)